Skip to main content
`Ctrl`+`K`

# VecScatterSetUp

Sets up the `VecScatter` to be able to actually scatter information between vectors

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterSetUp(VecScatter sf)

Collective

## Input Parameter

- sf - the scatter context

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterCreate()`, `VecScatterCopy()`

## Level

intermediate

## Location

src/vec/is/sf/interface/vscat.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages